Subject: Re: softmac mtu

From: "Jouni Malinen" <[email-masked]>
Date: Thu, 28 Sep 2006 09:13:32 -0700

On Thu, Sep 28, 2006 at 05:47:12PM +0200, Johannes Berg wrote:
> On Thu, 2006-09-28 at 17:35 +0200, Michael Buesch wrote:
> 
> > I am pretty sure this is the maximum _fragment_ size.
> 
> But then why does it talk of MPDU and MSDU?

Maybe because your understanding is closer to what the standard says..
;-)

> IOW, I read it as an MSDU is the data that is supposed to be transmitted
> over the link and that can be at most 2304 bytes long, and then it may
> be fragmented or not and is then copied into (an) MPDU(s).

Yes.

> > But each packet (which max size is defined by the MTU) can
> > be fragmented. I don't know if there's a limit on the max
> > number of frags.
> 
> There's only a 4 bit fragment counter ;) However, see above.

And 4 bits is quite enough for sending the maximum number of fragments
which is currently about 10 (256 octet min frag len and 2304 max MSDU
len with some extra needed to cover the extra header in each fragment).

-- 
Jouni Malinen                                            PGP id EFC895FA